<div class='ptx__tax'>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
      <!--Mã-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="code"
          [mbMaxLength]="20"
          [mbType]="isSubmitted && form.controls['code'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['code'].errors !== null"
          [mbErrors]="form.controls['code'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.categories.majorLevelCode' | translate }}]"
          mbPlaceholderText="{{'staffManager.categories.majorLevelCode' | translate}}"
          mbLabelText="{{'staffManager.categories.majorLevelCode' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Tên-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="name"
          [mbMaxLength]="200"
          [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
          [mbErrors]="form.controls['name'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.categories.majorLevelName' | translate }}]"
          mbPlaceholderText="{{'staffManager.categories.majorLevelName' | translate}}"
          mbLabelText="{{'staffManager.categories.majorLevelName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <div nz-col nzXs="24" nzLg="24" [ngStyle]="{'text-align': 'right'}" >
        <button nz-button nzType="default" *ngIf="!isDetail" (click)="closeModalAdd()">{{'staffManager.recruit.action.cancel' | translate}}</button>
        <button nz-button nzType="default" *ngIf="isDetail" (click)="closeModalAdd()">{{'staffManager.recruit.action.back' | translate}}</button>
        <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                   (click)="save()"
                   *ngIf="!isDetail"
                   mbButtonText="{{'staffManager.recruit.action.save' | translate}}"></mb-button>
      </div>

    </div>
  </form>
</div>
